package siprp.update.updates;

import com.evolute.module.updater.AbstractUpdate;

/**
 * 
 * @author tsimao
 * 
 */
public class V8_4_To_V8_5 extends AbstractUpdate
{
	public V8_4_To_V8_5()
	{
		super(8.4,8.5,"Adicionado analisador [prestador] por PrtGruposProtocolo");
	}

	@Override
	public void doUpdate() throws Exception
	{
		com.evolute.utils.sql.Update update = new com.evolute.utils.sql.Update( "ALTER TABLE prt_grupos_protocolo ADD COLUMN analisador_id int4;"
				+ "ALTER TABLE prt_grupos_protocolo ADD CONSTRAINT analisador_id_fkey FOREIGN KEY(analisador_id) REFERENCES prestadores(id);" );
		getExecuter().executeQuery( update );
	}
	
}
